#pragma once

#include <D3dx8core.h>
#pragma comment (lib, "d3dx8.lib")

#define _RELEASE_(p) { if(p) { (p)->Release(); (p)=NULL; };};
#define _DELETE_(p)  { if(p) { delete (p);     (p)=NULL; };};

class Font
{
public:
	Font(void);
	~Font(void);
	void Init(LPDIRECT3DDEVICE8 Device, HFONT Font);
	void Print(char* text, int x, int y, D3DCOLOR Color);
	void Restore(void);
private:
	LPDIRECT3DDEVICE8 d3d_Device;			//   d3d
	LPD3DXFONT pFont;						//  
	RECT Rect;								//  
};
